/*
TIP 7: HOW TO SPEED UP A SIMULATION BY SUPPRESSING DISPLAYED OUTPUT

Rick Wicklin, 2015, Paper SAS1387-2015
"Ten Tips for Simulating Data with SAS"
Proceedings of the SAS Global Forum 2015 Conference. 
Cary, NC: SAS Institute Inc.
*/
title; title2;



%macro ODSOff();        /* call prior to BY-group processing */
   ods graphics off;
   ods exclude all;     /* all open destinations */
   ods results off;     /* no updates to tree view */
   options nonotes;     /* optional, but sometimes useful */
%mend;

%macro ODSOn();         /* call after BY-group processing */
   ods graphics on;
   ods exclude none;
   ods results on;
   options notes;
%mend;

