/*
TIP 1: HOW TO SIMULATE DATA FROM A CONTINUOUS DISTRIBUTION

Rick Wicklin, 2015, Paper SAS1387-2015
"Ten Tips for Simulating Data with SAS"
Proceedings of the SAS Global Forum 2015 Conference. 
Cary, NC: SAS Institute Inc.
*/
title; title2;

data Rand(keep=x u);
call streaminit(4321);               /* set seed */
do i = 1 to 100;                     /* generate 100 random values */
   x = rand("Normal");               /* x ~ N(0,1) */
   u = rand("Uniform");              /* u ~ U(0,1) */
   output;
end;
run;

proc print data=Rand(obs=5);
run;


proc iml;
call randseed(1234);               /* set seed */
x = j(50, 2);                      /* allocate 50 x 2 matrix */
call randgen(x, "Normal");         /* fill matrix, x ~ N(0,1) */
u = randfun(100, "Uniform");       /* return 100 x 1 vector, u ~ U(0,1) */
quit;
