/*
TIP 2: HOW TO SIMULATE DATA FROM A DISCRETE DISTRIBUTION

Rick Wicklin, 2015, Paper SAS1387-2015
"Ten Tips for Simulating Data with SAS"
Proceedings of the SAS Global Forum 2015 Conference. 
Cary, NC: SAS Institute Inc.
*/
title; title2;

data Categories(keep=Type);
call streaminit(4321);
array p[3] (0.5 0.3 0.2);      /* probabilities */
do i = 1 to 100;
   Type = rand("Table", of p[*]); /* use OF operator */
   output;
end;
run;

proc format;
   value Call  1='Easy' 2='Specialized' 3='Hard';
run;

proc freq data=Categories;
   format Type Call.;
   tables Type / nocum;
run;


proc iml;
call randseed(4321);
p = {0.5 0.3 0.2};
Type = j(100, 1);                  /* allocate vector */
call randgen(Type, "Table", p);    /* fill with 1,2,3 */
quit;
