/*
TIP 3: HOW TO SIMULATE DATA FROM A MIXTURE OF DISTRIBUTIONS

Rick Wicklin, 2015, Paper SAS1387-2015
"Ten Tips for Simulating Data with SAS"
Proceedings of the SAS Global Forum 2015 Conference. 
Cary, NC: SAS Institute Inc.
*/
title; title2;


data Calls(drop=i);
call streaminit(12345);
array prob [3] _temporary_ (0.5 0.3 0.2);      /* mixing probabilities */
do i = 1 to 100;
   Type = rand("Table", of prob[*]);          /* returns 1, 2, or 3 */
   if      Type=1 then time = rand("Normal",  3, 1);
   else if Type=2 then time = rand("Normal",  8, 2);
   else                time = rand("Normal", 10, 3);
   output;
end;
run;


proc univariate data=Calls;
   ods select Histogram;
   histogram time / vscale=proportion kernel(lower=0 c=SJPI);
run;

