/*
TIP 8: HOW TO SPEED UP A SIMULATION BY AVOIDING MACRO LOOPS

Rick Wicklin, 2015, Paper SAS1387-2015
"Ten Tips for Simulating Data with SAS"
Proceedings of the SAS Global Forum 2015 Conference. 
Cary, NC: SAS Institute Inc.
*/
title; title2;


/*****************************************/
/* THIS CODE IS INEFFICIENT. DO NOT USE. */
/*****************************************/
%macro Simulate(N, NumSamples);
options nonotes;                        /* turn off notes to log    */
proc datasets nolist;
   delete OutStats;                     /* delete data if it exists */
run;

%do i = 1 %to &NumSamples;
   data Temp;                           /* create one sample        */
   call streaminit(0);
   do i = 1 to &N;
      x = rand("Uniform");
      output;
   end;
   run;

   proc means data=Temp noprint;        /* compute one statistic    */
      var x;
      output out=Out mean=SampleMean;
   run;

   proc append base=OutStats data=Out;     /* accumulate statistics */
   run;
%end;
options notes;
%mend;

/* call macro to simulate data and compute ASD. VERY SLOW! */
*%Simulate(10, 1000) /* means of 1000 samples of size 10 */
